### Method

# Gtk PrintUnixDialogset_settings

#### Declaration [src]

    void
    gtk_print_unix_dialog_set_settings (
      GtkPrintUnixDialog* dialog,
      GtkPrintSettings* settings
    )

#### Description [src]

Sets the `GtkPrintSettings` for the `GtkPrintUnixDialog`.

Typically, this is used to restore saved print settings from a previous print operation before the print dialog is shown.

Sets property | `Gtk.PrintUnixDialog:print-settings`

#### Parameters

`settings`

  Type: `GtkPrintSettings`

  A `GtkPrintSettings`

  The argument can be `NULL`.
  The data is owned by the caller of the method.